Magnetoculus Database Builder Construction de bases de données pour Magnetoculus

Public Member Functions | Public Attributes | List of all members
DBBrowser.TabAddField Class Reference

The page where the user can register a field. More...

Inheritance diagram for DBBrowser.TabAddField:

## Public Member Functions
def | __init__ (self, parent, size=(-1,-1))
def | OnSelectedFile (self, event)
def | GetInfo (self)
| Return the Field filename, type, city and center coordinates. More...
def | UpdateCitiesChoice (self)
| After a registration this will update the city choices in the combo box to avoid having to restart the app to see the changes. More...

## Public Attributes
| fileLabel
| selectedfile
| filePicker
| cityLabel
| cityCombo
| centerCoordLabel
| centerCoordField
| formatLabel
| formatCombo

## Detailed Description

The page where the user can register a field.

The user must choose a file on his disk, select a field type (EFieldType), and select a city already present in the database.

## Constructor & Destructor Documentation

## ◆ __init__()

def DBBrowser.TabAddField.__init__ | ( |  | self,
|  |  | parent,
|  |  | size = `(-1,-1)`
| ) |  |

## Member Function Documentation

## ◆ GetInfo()

def DBBrowser.TabAddField.GetInfo | ( |  | self | ) |

Return the Field filename, type, city and center coordinates.

## ◆ OnSelectedFile()

def DBBrowser.TabAddField.OnSelectedFile | ( |  | self,
|  |  | event
| ) |  |

## ◆ UpdateCitiesChoice()

def DBBrowser.TabAddField.UpdateCitiesChoice | ( |  | self | ) |

After a registration this will update the city choices in the combo box to avoid having to restart the app to see the changes.

## Member Data Documentation

## ◆ centerCoordField

DBBrowser.TabAddField.centerCoordField

## ◆ centerCoordLabel

DBBrowser.TabAddField.centerCoordLabel

## ◆ cityCombo

DBBrowser.TabAddField.cityCombo

## ◆ cityLabel

DBBrowser.TabAddField.cityLabel

## ◆ fileLabel

DBBrowser.TabAddField.fileLabel

## ◆ filePicker

DBBrowser.TabAddField.filePicker

## ◆ formatCombo

DBBrowser.TabAddField.formatCombo

## ◆ formatLabel

DBBrowser.TabAddField.formatLabel

## ◆ selectedfile

DBBrowser.TabAddField.selectedfile

The documentation for this class was generated from the following file:

- Database/DBBrowser.py